Get all timesheets for a project
curl --request GET \
--url https://app.usequeue.com/api/v1/projects/{project_id}/timesheets \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequeue.com/api/v1/projects/{project_id}/timesheets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequeue.com/api/v1/projects/{project_id}/timesheets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timesheets": [
{
"id": "V5xkqELXjhGwSpDJSWXGHumZ",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"task": {
"id": "LgFv67mHFVGTrvmBG8nUZuV6",
"title": "11"
},
"project": {
"id": "3c82c4be",
"title": "AirBnB edited"
},
"user": {
"username": "Masud Hossain",
"email": "masud@yopmail.com",
"avatar": "<string>"
},
"is_active": true,
"elapsed_time": 123,
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration": 3600,
"notes": "<string>",
"billable": true,
"billable_rate": 123,
"finished": true,
"formatted_duration": "1 hours, 0 minutes, 0 seconds",
"short_formatted_duration": {
"display": "1h 0m",
"decimal": 1
},
"hourly_rate": "100.25"
}
]
}Timesheets
Get Timesheets
GET
/
projects
/
{project_id}
/
timesheets
Get all timesheets for a project
⌘I

